Package uk.ac.starlink.array

# Interface Function

public interface Function
Defines a real function of a real variable y=f(x) and its inverse.

Version:
  $Id$
Author:
  Mark Taylor (Starlink)

## Method Summary

Modifier and Type
Method
Description
`double`
`forward(double x)`
The forward function.
`double`
`inverse(double y)`
The inverse function.

## Method Details

### forward

double forward(double x)
The forward function. If only the inverse function will be required, it is permissible to throw an UnsupportedOperationException.

Parameters:
  `x` - the argument x of the function
Returns:
  the return value y of the function. May be Double.NaN.

### inverse

double inverse(double y)
The inverse function. If only the forward function will be required, it is permissible to throw an UnsupportedOperationException.

Parameters:
  `y` - the argument y of the inverse function
Returns:
  the return value x of the inverse function May be Double.NaN.